Package org.apache.commons.math3.optimization.univariate

# Interface BaseUnivariateOptimizer<FUNC extends UnivariateFunction>

Type Parameters:
  `FUNC` - Type of the objective function to be optimized.

All Superinterfaces:
  `BaseOptimizer<UnivariatePointValuePair>`

All Known Subinterfaces:
  `UnivariateOptimizer`

All Known Implementing Classes:
  `BaseAbstractUnivariateOptimizer`, `BrentOptimizer`, `UnivariateMultiStartOptimizer`

@Deprecated public interface BaseUnivariateOptimizer<FUNC extends UnivariateFunction> extends BaseOptimizer<UnivariatePointValuePair>
Deprecated.
As of 3.1 (to be removed in 4.0).
This interface is mainly intended to enforce the internal coherence of Commons-Math. Users of the API are advised to base their code on the following interfaces:

- `UnivariateOptimizer`

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`UnivariatePointValuePair`
`optimize(int maxEval, FUNC f, GoalType goalType, double min, double max)`
Deprecated.
Find an optimum in the given interval.
`UnivariatePointValuePair`
`optimize(int maxEval, FUNC f, GoalType goalType, double min, double max, double startValue)`
Deprecated.
Find an optimum in the given interval, start at startValue.

### Methods inherited from interface org.apache.commons.math3.optimization.BaseOptimizer

`getConvergenceChecker, getEvaluations, getMaxEvaluations`

## Method Details

### optimize

UnivariatePointValuePair optimize(int maxEval, FUNC f, GoalType goalType, double min, double max)
Deprecated.
Find an optimum in the given interval. An optimizer may require that the interval brackets a single optimum.

Parameters:
  `maxEval` - Maximum number of function evaluations.
  `f` - Function to optimize.
  `goalType` - Type of optimization goal: either `GoalType.MAXIMIZE` or `GoalType.MINIMIZE`.
  `min` - Lower bound for the interval.
  `max` - Upper bound for the interval.
Returns:
  a (point, value) pair where the function is optimum.
Throws:
  `TooManyEvaluationsException` - if the maximum evaluation count is exceeded.
  `ConvergenceException` - if the optimizer detects a convergence problem.
  `IllegalArgumentException` - if `min > max` or the endpoints do not satisfy the requirements specified by the optimizer.

### optimize

UnivariatePointValuePair optimize(int maxEval, FUNC f, GoalType goalType, double min, double max, double startValue)
Deprecated.
Find an optimum in the given interval, start at startValue. An optimizer may require that the interval brackets a single optimum.

Parameters:
  `maxEval` - Maximum number of function evaluations.
  `f` - Function to optimize.
  `goalType` - Type of optimization goal: either `GoalType.MAXIMIZE` or `GoalType.MINIMIZE`.
  `min` - Lower bound for the interval.
  `max` - Upper bound for the interval.
  `startValue` - Start value to use.
Returns:
  a (point, value) pair where the function is optimum.
Throws:
  `TooManyEvaluationsException` - if the maximum evaluation count is exceeded.
  `ConvergenceException` - if the optimizer detects a convergence problem.
  `IllegalArgumentException` - if `min > max` or the endpoints do not satisfy the requirements specified by the optimizer.
  `NullArgumentException` - if any argument is `null`.